int profile_init(char *fname, char *reason);
// User profile handling code....
typedef struct PROFILE {
	int id; // each one has a unique id so we can do 'updates' from a web page... 
	Pair *pairs;
	struct PROFILE *next;
} Profile;
int profile_free(Profile **pp, char *whence);
Profile *profile_find(char *user, char *group, char *rmtip, char *lclip);

char *profile_get(Profile *p, char *setting);
Profile *profile_find_id(int id);
char *profile_getp(Profile *p, char *setting, int i, char *tmp);
int profile_set_var(Profile *p, char *var, char *val);
int profile_replace(Profile *rep);
int profile_save(char *fname);
Profile *profile_find_id_add(int id);
int profile_getnp(Profile *pro, char *setting, int i, char *p[], char *bf);
